/* Load fonts */
@font-face {
    font-family: Dia;
    src: url(../data/fonts/Dia-Regular.otf) format("opentype");
}

@font-face {
  font-family: 'Phudu';
  src: url('../assets/fonts/Phudu-Medium.ttf') format('truetype');
}

html, body { height:100%; }

a { text-decoration: none; }

#pano {
    height: 100%;
    width: 100%;
}

.corner-logo {
  position: fixed;
  bottom: var(--base-padding);
  right: var(--base-padding);
  width: auto;       /* ~10% of screen width */
  height: var(--logo-size);      /* keeps aspect ratio */
  max-height: 200px;  /* optional limit for very large screens */
  z-index: 1000;
  pointer-events: none; /* prevents blocking clicks under it */
}

:root {
    --color-primary-background: #82459b;
    --color-primary-foreground: #ffffff;
    --color-secondary-background: #f36f21;
    --color-secondary-foreground: #ffffff;

    --base-padding: clamp(16px, 3vmin, 40px);
    --logo-size: calc(var(--base-padding) * 4)
}

html {
    color: var(--color-primary-foreground);
    font-family: 'Phudu', sans-serif;
    font-size: 15px;
    font-style: normal;
}

.top-menu {
    padding: var(--base-padding);
    font-weight: bold;
    font-size: medium;
}

.none-pointer-event {
    pointer-events: none;
}


.bottom-menu {
    padding: var(--base-padding);
    pointer-events: none;
}

.bottom-menu .btn-icon-only,
.bottom-menu a.btn-form {
    pointer-events: auto;
}

.slnecnice-logo {
    /*height: 10vmin;*/
    width: 12vmax;
    margin-right: 1.5em;
}

a {
    color: var(--color-primary-foreground);
}

a:hover {
    color: var(--color-primary-foreground);
}

a.link {
    color: var(--color-primary-foreground);
}

a.link:hover {
    color: var(--color-secondary-background);
}

/* Control buttons BEGIN */
.btn-icon-only {
    display: inline-block;
    background-color: var(--color-primary-background);
    border: none;
    border-radius: 10px;
    color: var(--color-primary-foreground);
    width: 40px;
    height: 40px;
    padding: 4px 4px;
    margin: 5px;
    font-weight: bolder;
    cursor: pointer;
}

.btn-toggle[data-toggle-button=false]:hover {
    background-color: var(--color-secondary-background);
}

.btn-toggle[data-toggle-button=true] {
    background-color: var(--color-secondary-background);
    color: var(--color-secondary-foreground);
}

.btn-toggle[data-toggle-button=true]:hover {
    background-color: var(--color-secondary-background);
    color: var(--color-secondary-foreground);
}

.btn-icon-only:hover {
    background-color: var(--color-secondary-background);
    color: var(--color-secondary-foreground);
}

/* Form buttons BEGIN */
.btn-form {
    letter-spacing: -0.01em;
    text-align: center;
    background-color: var(--color-secondary-background);
    color: var(--color-secondary-foreground);
    border: none;
    border-radius: 22px;
    padding: 0.7em 1em;
    margin: 5px;
    cursor: pointer;
}

/* Modal map */

.modal {
    padding: 0;
    margin: 0;
}

.modal-control {
    /*display: inline;*/
    position: absolute;
    top: 0;
    right: 0;
    /*float: right;*/
    /*text-align: right;*/
}

#panelLocationMap .modal-dialog .modal-content {
    max-width: 60vw;
    /*max-height: 50vh;*/
    /*overflow: hidden !important;*/
    flex-direction: unset !important;
}

#panelLocationMap .modal-dialog .modal-content .modal-body {
    padding: 0;
    display: contents;
}

#panelLocationMap .modal-dialog .modal-content .modal-body img {
    border:0;
    width: 100%;
    height: auto;
    max-width: 100%;
}

.modal.left_modal.fade .modal-dialog{
    left: -50%;
    -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
    -o-transition: opacity 0.3s linear, left 0.3s ease-out;
    transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left_modal.fade.show .modal-dialog{
    left: 0;
    box-shadow: 0px 0 19px rgba(0,0,0,.5);
}

.modal.left_modal, .modal.right_modal, .modal.bottom_modal{
    position: fixed;
    z-index: 99999;
}

.modal.right_modal .modal-dialog,
.modal.left_modal .modal-dialog {
    position: fixed;
    margin: 0 0vw;
    bottom: calc(var(--base-padding) + 56px);
    -webkit-transform: translate3d(0%, 0, 0);
    -ms-transform: translate3d(0%, 0, 0);
    -o-transform: translate3d(0%, 0, 0);
    transform: translate3d(0%, 0, 0);
}

@media (min-width: 576px) {
    .modal-dialog {
        max-width: unset;
        margin: 1.75rem auto;
    }
}


@media (max-width: 576px), (max-height: 500px)  {
    #panelInfo .modal-dialog .modal-content,
    #panelLocationMap .modal-dialog .modal-content {
        max-width: 100vw !important;
/*        width: 98vw !important;
        height: 80vh;*/
    }
}

@media (max-height: 500px) {
    #panelLocationMap .modal-dialog {
        bottom: unset !important;
    }
}

#panelLocationMap .modal-dialog.modal-fullscreen .modal-content {
    max-width: unset;
}

#panelLocationMap .modal-dialog.modal-fullscreen  {
    bottom: unset !important;
    margin: 0;
    padding: 0;
}

.modal-fullscreen {
    height: auto;
}

.modal.right_modal.fade .modal-dialog {
    right: -50%;
    -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
    -o-transition: opacity 0.3s linear, right 0.3s ease-out;
    transition: opacity 0.3s linear, right 0.3s ease-out;
}


.modal.right_modal.fade.show .modal-dialog {
    right: 0;
    box-shadow: 0px 0px 19px rgba(0,0,0,.5);
}

.modal-backdrop {
    display: none;
}

.modal.bottom_modal .modal-dialog {
    position: fixed;
    right: 50%;
    -webkit-transform: translate3d(50%, 0, 0);
    -ms-transform: translate3d(50%, 0, 0);
    -o-transform: translate3d(50%, 0, 0);
    transform: translate3d(50%, 0, 0);
}

.modal.bottom_modal .modal-dialog .modal-content {
    background: none;
    border: none;
}

.modal.bottom_modal .modal-dialog .modal-content .modal-body {
   padding: 0;
}

.modal.bottom_modal.fade .modal-dialog {
    bottom: -50%;
    -webkit-transition: opacity 0.3s linear, bottom 0.3s ease-out;
    -moz-transition: opacity 0.3s linear, bottom 0.3s ease-out;
    -o-transition: opacity 0.3s linear, bottom 0.3s ease-out;
    transition: opacity 0.3s linear, bottom 0.3s ease-out;
}


.modal.bottom_modal.fade.show .modal-dialog {
    bottom: 0;
    margin-bottom: 0;
}

/* Panel Share */
#panelShare .modal-dialog .modal-content {
/*    background-color: var(--color-secondary-background);*/
}

#panelInfo .modal-dialog .modal-content .modal-header,
#panelShare .modal-dialog .modal-content .modal-header {
    border: none;
    padding-bottom: 0;
}



.modal-dialog {
    padding: 1rem var(--base-padding);
    background-color: #fff;
}

.modal-dialog .modal-content {
    border: none;
}

.modal-body, .modal-header {
    padding: 0;
}

#panelInfo .modal-dialog .modal-content {
    max-width: 20vw;
}

#btnGroupAddon {
    display: contents;
}

.no-padding {
   margin-right: 0 !important;
   margin-top: 0 !important;
}

.clipboard-input {
    padding: 0 .75rem;
    height: 40px;
}

.popover .popover-arrow {
    display:none;           
}

/*.popover{
    position: absolute;
    top:0;
    right:0;
    left: 80% !important;
}*/



/* Autoplay style BEGIN */
.modal.bottom_modal .modal-dialog .modal-content .modal-header {
    padding: 0;
}
.modal.bottom_modal .modal-dialog .modal-content .modal-header span {
    color: #FFFEFE;
    font-size: 0.875em;
    letter-spacing: 0.14px;
}

/* Autoplay style END */

/* Gallery */
#panelGallery .modal-dialog {
    max-width: 95vw !important;
}

@media (min-width: 576px) {
    #panelGallery .modal-dialog {
        max-width: 75vw !important;
    }
}

#panelGallery[aria-modal="true"] ~ .bottom-menu {
    display: none;
}

/* Toogel buttons */
#btnFullScreen[data-toggle-button=true] .bi-arrows-fullscreen {
  display: none;
}

#btnFullScreen[data-toggle-button=false] .bi-fullscreen-exit {
  display: none;
}

.custom-icon {
  display: block;
  width: 100%;
  height: 100%;
}
/* Customs icons */
.exterior-icon {
  background: url("../img/icons/icon_exterior.png") no-repeat center center;
  background-size: contain;
}

.interior-icon {
  background: url("../img/icons/icon_interior.png") no-repeat center center;
  background-size: contain;
}

.show-icon {
  background: url("../img/icons/icon_show.png") no-repeat center center;
  background-size: contain;
}

.hide-icon {
  background: url("../img/icons/icon_hide.png") no-repeat center center;
  background-size: contain;
}

.left-icon {
  background: url("../img/icons/icon_left.png") no-repeat center center;
  background-size: contain;
}

.right-icon {
  background: url("../img/icons/icon_right.png") no-repeat center center;
  background-size: contain;
}


/* Navigator (bottom gallery) BEGIN */

.gallery-panel {
    bottom: var(--base-padding);
}

#toggleBtnGallery[aria-expanded=false] .gallery-close-icon {
  display: none;
}
#toggleBtnGallery[aria-expanded=true] .gallery-open-icon {
  display: none;
}

.gallery-panel .navigator-inner {
    position: relative;
    background-color: rgba(255, 255, 255, 0.15);
    border-radius: 16px;
    padding: 0.5rem 0.8rem;
    backdrop-filter: blur(2px);
}

.splide__slide {
    padding: 0.5rem;
}

.slide-img {
    width: 100%;
    height: 110px;
    object-fit: cover;
    border-radius: 8px;
    cursor: pointer;
    outline: 3px solid var(--color-primary-background);
}

.splide__slide.is-active .slide-img {
    outline: 3px solid var(--color-secondary-background);
    outline-offset: 2px;
}

/* Navigator (bottom gallery) END */

.hide-on-mobile-collapse {
    
}

@media (max-width: 992px) {
  body:has(#collapseExample.show) .hide-on-mobile-collapse {
    display: none;
  }
}

/* Tooltip box */
.tooltip {
    --bs-tooltip-bg: #dcdddb;
    --bs-tooltip-color: #000000;
}

/* .tooltip .tooltip-inner {
    border-radius: 20px;
    white-space: nowrap;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
} */
/* Tooltip END */



